IHIDEV(4) | Device Drivers Manual | IHIDEV(4)

# NAME

`ihidev` —
I2C Human Interface Device support

# SYNOPSIS

`ihidev* at iic?`
`ims* at ihidev? reportid ?`

# DESCRIPTION

The `ihidev` driver handles all Human Interface Devices. Each HID device can have several components, e.g., a keyboard and a mouse. These components use different report identifiers (a byte) to distinguish which one data is coming from. The `ihidev` driver has other drivers attached that handle particular kinds of devices and `ihidev` only dispatches data to them based on the report id.

# SEE ALSO

ims(4)

# HISTORY

The `ihidev` driver appeared in NetBSD 8.0.

October 5, 2019 | NetBSD 10.0